### Method

# Adw Breakpointadd_setters

since: 1.4

#### Declaration [src]

    void
    adw_breakpoint_add_setters (
      AdwBreakpoint* self,
      GObject* first_object,
      const char* first_property,
      ...
    )

#### Description [src]

Adds multiple setters to `self`.

See `adw_breakpoint_add_setter()`.

Example:

    adw_breakpoint_add_setters (breakpoint,
                                G_OBJECT (box), "orientation", GTK_ORIENTATION_VERTICAL,
                                G_OBJECT (button), "halign", GTK_ALIGN_FILL,
                                G_OBJECT (button), "valign", GTK_ALIGN_END,
                                NULL);

Available since: 1.4

This method is not directly available to language bindings.

The implementation of this method is provided by `adw_breakpoint_add_settersv()` in language bindings

#### Parameters

`first_object`

  Type: `GObject`

  The first target object.

  The data is owned by the caller of the method.

`first_property`

  Type: `const char*`

  The first target property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  The value of the first setter, followed by a list of object, property and value triplets, terminated by `NULL`